Bug 1415199 (CVE-2016-10155)

Summary: CVE-2016-10155 Qemu: watchdog: memory leakage in virtual hardware watchdog wdt_i6300esb
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amit.shah, apevec, areis, berrange, cfergeau, chrisw, crobinso, cvsbot-xmlrpc, drjones, dwmw2, imammedo, itamar, jen, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, ppandit, rbryant, rjones, rkrcmar, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:05:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1415200, 1476049, 1476068, 1476069, 1476072, 1476074, 1476077    
Bug Blocks: 1382469, 1476084    

Description Prasad J Pandit 2017-01-20 14:30:50 UTC
Quick Emulator(Qemu) built with the virtual hardware watchdog 'wdt_i6300esb'
support is vulnerable to a memory leakage issue. It could occur while doing
a device unplug operation; Doing so repeatedly would result in leaking host
memory, affecting other services on the host.

A privileged user inside guest could use this flaw to cause a DoS and/or
potentially crash the Qemu process on the host.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2016-12/msg03104.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/01/21/4

Comment 1 Prasad J Pandit 2017-01-20 14:31:29 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2017-01-20 14:32:33 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1415200]

Comment 3 Cole Robinson 2017-03-14 19:27:12 UTC
commit eb7a20a3616085d46aa6b4b4224e15587ec67e6e
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Mon Nov 28 17:49:04 2016 -0800

    watchdog: 6300esb: add exit function

Comment 6 errata-xmlrpc 2017-08-02 00:59:11 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 7 errata-xmlrpc 2017-08-02 04:48:02 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392